// WoC

#include <pspkernel.h>
#include <pspdisplay.h>
#include <pspctrl.h>
#include "graphics.h"
#include "menu.h"

PSP_MODULE_INFO("WoC", 0, 1, 1);

#define RGB(r, g, b) ((r)|((g)<<8)|((b)<<16))

/* Exit callback */
int exit_callback(int arg1, int arg2, void *common) {
          sceKernelExitGame();
          return 0;
}

/* Callback thread */
int CallbackThread(SceSize args, void *argp) {
          int cbid;

          cbid = sceKernelCreateCallback("Exit Callback", exit_callback, NULL);
          sceKernelRegisterExitCallback(cbid);

          sceKernelSleepThreadCB();

          return 0;
}

/* Sets up the callback thread and returns its thread id */
int SetupCallbacks(void) {
          int thid = 0;

          thid = sceKernelCreateThread("update_thread", CallbackThread, 0x11, 0xFA0, 0, 0);
          if(thid >= 0) {
                    sceKernelStartThread(thid, 0, 0);
          }

          return thid;
}

//GLOBAL VARIABLES
int PressedCrossButton = 0;

int main(void) {
    SetupCallbacks();
    initGraphics();

    SceCtrlData pad, lastpad;

    sceCtrlReadBufferPositive(&lastpad, 1);
    
    Image* start[5];
    start[0] = loadImage("./Images/Intro/CG1.png");
    start[1] = loadImage("./Images/Intro/CG2.png");
    start[2] = loadImage("./Images/Intro/CG3.png");
    start[3] = loadImage("./Images/start.png");
    start[4] = loadImage("./Images/startcross.png");

    int NumberCounter = 0;
    int StartCounter = 0;
    
    extern int PressedCrossButton;

    while(1) {
      sceCtrlReadBufferPositive(&pad, 1);
 
      NumberCounter++;
      if(NumberCounter == 120) 
      {
      StartCounter += 1;   
      NumberCounter = 0;    
      }
      
      if (StartCounter > 4)
      {
                       StartCounter = 4;
      }

      if(pad.Buttons != lastpad.Buttons) {
      lastpad = pad;

      if(pad.Buttons & PSP_CTRL_CROSS)
      {
        if (PressedCrossButton == 0)
        {
         PressedCrossButton++;
         //START THE GAME
         Menu();
         PressedCrossButton = 0;
        }
      }
 
      /*
      if(pad.Buttons & PSP_CTRL_CIRCLE)
      {
        if (OnDifficultyMenu == 1)
           {
           OnStartGameMenu = 1;
           OnDifficultyMenu = 0;
           }
      }


      if(pad.Buttons & PSP_CTRL_UP)
      {
        if (OnDifficultyMenu == 1)
           {
           DifficultySetting--;
           if (DifficultySetting < 1)
           DifficultySetting = 1;
           }
      }

      if(pad.Buttons & PSP_CTRL_DOWN)
      {
       if (OnDifficultyMenu == 1)
           {
           DifficultySetting++;
           if (DifficultySetting > 3)
           DifficultySetting = 3;
           }
      }
     */

    }

    blitAlphaImageToScreen(0, 0 , 480, 272, start[StartCounter], 0, 0);

    sceDisplayWaitVblankStart();
    flipScreen();

    }
    sceKernelSleepThread();
    return 0;
    
    freeImage(start[0]);
    freeImage(start[1]);
    freeImage(start[2]);
    freeImage(start[3]);
    freeImage(start[4]);
}

                                           
